package com.perforce.workshop.tjuricek.initializer.model;

/**
 * Create a new depot. Probably just going to be "commons" for most cases.
 */
public class PerforceDepot {

    private String name;

    public PerforceDepot() {
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        PerforceDepot that = (PerforceDepot) o;

        if (name != null ? !name.equals(that.name) : that.name != null)
            return false;

        return true;
    }

    @Override
    public int hashCode() {
        return name != null ? name.hashCode() : 0;
    }

    @Override
    public String toString() {
        return "PerforceDepot{" +
                "name='" + name + '\'' +
                '}';
    }
}
